"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function formatUnit(unit) {
    var formatted = Object.keys(unit)
        .map(function (dimension) { return unit[dimension]; })
        .filter(isDimensionPresent)
        .sort(orderDimensions)
        .map(formatDimension);
    return formatted.length === 0 ? "" : " " + formatted.join(" * ");
}
exports.formatUnit = formatUnit;
function isDimensionPresent(dimension) {
    return dimension !== undefined && dimension[1] !== 0;
}
function orderDimensions(_a, _b) {
    var leftSymbol = _a[0];
    var rightSymbol = _b[0];
    if (leftSymbol < rightSymbol) {
        return -1;
    }
    return 1;
}
function formatDimension(_a) {
    var symbol = _a[0], exponent = _a[1];
    var exponentStr = exponent !== 1 ? "^" + exponent : "";
    return "" + symbol + exponentStr;
}
//# sourceMappingURL=format.js.map