"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var measure_1 = require("../measure/measure");
var base_1 = require("./base");
// Time
exports.minutes = measure_1.Measure.of(60, base_1.seconds, "min");
exports.hours = measure_1.Measure.of(60, exports.minutes, "hr");
exports.days = measure_1.Measure.of(24, exports.hours, "d");
// Length
exports.inches = measure_1.Measure.of(0.0254, base_1.meters, "in");
exports.thous = measure_1.Measure.of(0.001, exports.inches, "th");
exports.feet = measure_1.Measure.of(12, exports.inches, "ft");
exports.yards = measure_1.Measure.of(3, exports.feet, "yd");
exports.chains = measure_1.Measure.of(22, exports.yards, "ch");
exports.furlongs = measure_1.Measure.of(10, exports.chains, "fur");
exports.miles = measure_1.Measure.of(8, exports.furlongs, "mi");
exports.leagues = measure_1.Measure.of(3, exports.miles, "lea");
exports.fathoms = measure_1.Measure.of(1.852, base_1.meters, "ftm");
exports.cables = measure_1.Measure.of(100, exports.fathoms, "cable");
exports.nauticalMiles = measure_1.Measure.of(10, exports.cables, "nmi");
exports.links = measure_1.Measure.of(7.92, exports.inches, "li");
exports.rods = measure_1.Measure.of(25, exports.links, "rd");
// Area
exports.perches = exports.rods.squared().withSymbol("perch");
exports.roods = exports.furlongs.times(exports.rods).withSymbol("rood");
exports.acres = exports.furlongs.times(exports.chains).withSymbol("acre");
// Mass
exports.pounds = measure_1.Measure.of(453.59237, base_1.grams, "lb");
exports.grains = measure_1.Measure.of(1 / 7000, exports.pounds, "gr");
exports.ounces = measure_1.Measure.of(1 / 16, exports.pounds, "oz");
//# sourceMappingURL=common.js.map