import { Exponent } from "../exponent";
import { GenericMeasure } from "../measure/genericMeasure";
import * as Quantity from "../quantity/quantities";
export declare const hertz: Quantity.Frequency;
export declare const newtons: Quantity.Force;
export declare const pascals: Quantity.Pressure;
export declare const joules: Quantity.Energy;
export declare const watts: Quantity.Power;
export declare const volts: Quantity.Voltage;
export declare const coulombs: Quantity.ElectricCharge;
export declare const farads: Quantity.ElectricalCapacitance;
export declare const ohms: Quantity.ElectricalResistance;
export declare const siemens: Quantity.ElectricalConductance;
export declare const henrys: Quantity.ElectricalInductance;
export declare const webers: Quantity.MagneticFlux;
export declare const teslas: Quantity.MagneticFluxDensity;
export declare const sieverts: Quantity.RadiationDose;
export declare const katals: Quantity.CatalyticActivity;
export declare const lumens: Quantity.LuminousFlux;
export declare const luxes: Quantity.Illuminance;
export declare const yotta: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const zetta: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const exa: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const peta: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const tera: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const giga: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const mega: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const kilo: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const hecto: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const deca: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const deci: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const centi: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const milli: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const micro: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const nano: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const pico: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const femto: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const atto: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const zepto: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
export declare const yocto: <U extends Partial<{
    [dimension: string]: Exponent;
}>>(unit: GenericMeasure<U, number>) => GenericMeasure<U, number>;
