"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var measure_1 = require("../measure/measure");
var base_1 = require("./base");
var metric_1 = require("./metric");
// Mass
exports.carats = measure_1.Measure.of(200, metric_1.milli(base_1.grams), "ct");
// Length
exports.angstroms = measure_1.Measure.of(0.1, metric_1.nano(base_1.meters), "Å");
// Area
exports.ares = measure_1.Measure.of(100, base_1.meters.squared(), "a");
exports.hectares = measure_1.Measure.of(10000, base_1.meters.squared(), "ha");
// Volume
exports.liters = measure_1.Measure.of(0.001, base_1.meters.cubed(), "L");
// Velocity
exports.speedOfLight = measure_1.Measure.of(299792458, base_1.meters.per(base_1.seconds), "C");
// Pressure
exports.bars = measure_1.Measure.of(10000, metric_1.pascals, "bar");
exports.atmospheres = measure_1.Measure.of(101325, metric_1.pascals, "atm");
exports.torrs = measure_1.Measure.of(1 / 760, exports.atmospheres, "Torr");
//# sourceMappingURL=other.js.map